local E, L, C = select(2, ...):unpack()

function E:Counters()
	if ( IsAddOnLoaded("OmniCC") or IsAddOnLoaded("tullaCC") ) then
		self.OmniCC = true
	end
end

local unitFrameData = {
	--  [1] = AddOn name
	--  [2] = Party frame name -%d
	--  [3] = Party frame unit key
	--  [4] = Delay

	{   [1] = "VuhDo",
		[2] = "Vd1H",
		[3] = "raidid",
		[4] = 2, -- idc if it doesn't anchor properly on /reload
	},
	{   [1] = "Grid2",
		[2] = "Grid2LayoutHeader1UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "Aptechka",
		[2] = "NugRaid1UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "InvenRaidFrame3",
		[2] = "InvenRaidFrame3Group0UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "Plexus",
		[2] = "PlexusLayoutHeader1UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "HealBot",
		[2] = "HealBot_Action_HealUnit",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "Cell",
		[2] = "CellPartyFrameMember",
		[3] = "unitid",
		[4] = 1,
	},
	{   [1] = "ElvUI",
		[2] = "ElvUF_PartyGroup1UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "Tukui",
		[2] = "TukuiPartyUnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "ShadowUF",
		[2] = "SUFHeaderpartyUnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "ShadowUF-Raid1",
		[2] = "SUFHeaderraid1UnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "ZPerl",
		[2] = "XPerl_party",
		[3] = "partyid",
		[4] = 1,
	},
	{   [1] = "PitBull4",
		[2] = "PitBull4_Groups_PartyUnitButton",
		[3] = "unit",
		[4] = 1,
	},
	{   [1] = "NDui",
		[2] = "oUF_PartyUnitButton",
		[3] = "unit",
		[4] = 1,
	},
}

function E:SetActiveUnitFrameData()
	if self.customUF.enabled then
		local active = self.db.position.uf == "auto" and self.customUF.prio or self.db.position.uf
		local enabled = self.customUF.enabled[active]
		if enabled then
			self.customUF.frame = enabled.frame
			self.customUF.unit = enabled.unit
			self.customUF.delay = enabled.delay
		end
		self.customUF.active = active
	end
end

function E:UnitFrames()
	self.customUF = {
		["optionTable"] = {
			auto = L["Auto"],
			blizz = "Blizzard",
		},
		["enabled"] = false, -- [86]
	}

	for i = 1, #unitFrameData do
		local unitFrame = unitFrameData[i]
		local name = unitFrame[1]
		local addonName = name:gsub("-Raid1", "")
		if _G[addonName] or IsAddOnLoaded(addonName) then
			self.customUF.enabled = self.customUF.enabled or {}
			self.customUF.enabled[name] = {
				["frame"] = unitFrame[2],
				["unit"] = unitFrame[3],
				["delay"] = unitFrame[4],
			}

			self.customUF.optionTable[name] = name

			if not self.customUF.prio then
				self.customUF.prio = name
			end

			if name == "ElvUI" then
				self:SetNumPixels()
			end
		end
	end

	if self.customUF.enabled then
		for zone in pairs(E.CFG_ZONE) do
			local uf = E.DB.profile.Party[zone].position.uf
			if uf ~= "blizz" and not self.customUF.enabled[uf] then
				E.DB.profile.Party[zone].position.uf = "auto"
			end
		end
		E:SetActiveUnitFrameData()

		if not E.DB.global.disableElvMsg then
			StaticPopup_Show("OMNICD_Elv_MSG")
		end
	end
end

function E:LoadAddOns()
	self:Counters()
	self:UnitFrames()
end

E.unitFrameData = unitFrameData
